module.exports.getState = function(){
  return {
    actions: [{
        type: 'generate'
      },{
        type: 'bash',
        require: 'git',
        exec: 'pwd'
      },{
        type: 'bash',
        require: 'git',
        exec: function(params){
          return `echo "hello ${params.fileName}"`;
        }
    }],
    params: [
    {
      text: 'Enter file name',
      type: 'string',
      id: 'fileName'
    },
    {
      text: 'Enter string',
      type: 'string',
      id: 'stringExample'
    },
    {
      text: 'Enter bool',
      type: 'bool',
      id: 'boolExample'
    },
    {
      text: 'Array example: ',
      type: 'array',
      id: 'arrayExample',
      items: [
        {
          text: 'Enter string for the Array',
          type: 'string',
          id: 'arrayString'
        },
        {
          text: 'Enter bool for the array',
          type: 'bool',
          id: 'arrayBool'
        },
        {
          text: 'Enter fgfgfgf for the array',
          type: 'string',
          id: 'arrayStringywingy'
        },
        {
          text: 'poopy woopy',
          type: 'string',
          id: 'ppopy'
        }
      ]
    },
      {
        text: 'Enter file name 2',
        type: 'string',
        id: 'fileName2'
      }
  ]
  }
}

module.exports.generate = function(params){
  return {
    file: `${params.fileName}.js`,
    path: __dirname+'/output/',
    content: `
    console.log('The file generated is called ${params.fileName}');
    console.log('Array strings are:');
    console.log('${params.arrayExample.map(val => (val.arrayString)).join()}');
    `
  }
}